#!/bin/sh -e

# Download the parent project and the main project separately.  The
# main project is extracted in a subdirectory by dpkg-source(1) based
# on the naming of the tarball. This conforms to the normal structure
# of a maven project.
COMPONENT=ees-pepd-oh
VERSION=$2
PARENTVERSION=1.5.2

REPO=http://svn.cern.ch/guest/glxa
DIR=${COMPONENT}-$VERSION

TAR=../${COMPONENT}_$VERSION.orig.tar.gz

TAG=`echo $PARENTVERSION | sed -e 's/\./_/g'`
svn export $REPO/argus-parent/tags/${TAG} $DIR

GZIP=--best tar -c -z -f $TAR --exclude '*.jar' --exclude '*.class' $DIR
rm -rf $DIR 

TAR=../${COMPONENT}_$VERSION.orig-${COMPONENT}.tar.gz
TAG=`echo $VERSION | sed -e 's/\./_/g'`
REPO=http://ndpfsvn.nikhef.nl/ro/mwsec/tags/${COMPONENT}
DIR=${COMPONENT}

svn export $REPO/${TAG} $DIR
GZIP=--best tar -c -z -f $TAR --exclude '*.jar' --exclude '*.class' $DIR
rm -rf $DIR 

# Remove the uscan leftover
rm ../$TAG
